com.qualcomm.robotcore.hardware

## Class PIDFCoefficients

- java.lang.Object
- - com.qualcomm.robotcore.hardware.PIDFCoefficients

-     public class PIDFCoefficients
      extends java.lang.Object

  `PIDFCoefficients` conveys a set of configuration parameters for a PIDF algorithm, a PID algorithm which includes an additional feed-forward term. Optionally, coefficients for the original Expansion Hub "Legacy PID" alogrithm may also be indicated.
  See Also:
    PID controller, `DcMotorEx.setPIDFCoefficients(DcMotor.RunMode, PIDFCoefficients)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MotorControlAlgorithm` | `algorithm`
    `double` | `d`
    `double` | `f`
    `double` | `i`
    `double` | `p`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PIDFCoefficients()`
    `PIDFCoefficients(double p, double i, double d, double f)`
    `PIDFCoefficients(double p, double i, double d, double f, MotorControlAlgorithm algorithm)`
    `PIDFCoefficients(PIDCoefficients them)`
    `PIDFCoefficients(PIDFCoefficients them)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### p

          public double p

    - #### i

          public double i

    - #### d

          public double d

    - #### f

          public double f

    - #### algorithm

          public MotorControlAlgorithm algorithm

  - ### Constructor Detail

    - #### PIDFCoefficients

          public PIDFCoefficients()

    - #### PIDFCoefficients

          public PIDFCoefficients(double p,
                                  double i,
                                  double d,
                                  double f,
                                  MotorControlAlgorithm algorithm)

    - #### PIDFCoefficients

          public PIDFCoefficients(double p,
                                  double i,
                                  double d,
                                  double f)

    - #### PIDFCoefficients

          public PIDFCoefficients(PIDFCoefficients them)

    - #### PIDFCoefficients

          public PIDFCoefficients(PIDCoefficients them)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`